<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.bonus.achieve.mapper.CuMemberSettlePeriodDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="CuMemberSettlePeriodDetail" type="com.hzs.common.domain.member.achieve.CuMemberSettlePeriodDetail">
        <id column="PK_ID" property="pkId" />
        <result column="DEL_FLAG" property="delFlag" />
        <result column="PK_CREATOR" property="pkCreator" />
        <result column="CREATION_TIME" property="creationTime" />
        <result column="PK_MODIFIED" property="pkModified" />
        <result column="MODIFIED_TIME" property="modifiedTime" />
        <result column="PK_COUNTRY" property="pkCountry" />
        <result column="SETTLE_CYCLE" property="settleCycle" />
        <result column="START_PERIOD" property="startPeriod" />
        <result column="END_PERIOD" property="endPeriod" />
        <result column="IS_SETTLE" property="isSettle" />
        <result column="PUBLISH_DATE" property="publishDate" />
        <result column="IS_PUBLISH" property="isPublish" />
        <result column="GRANT_DATE" property="grantDate" />
        <result column="IS_GRANT" property="isGrant" />
        <result column="WITHDRAWAL_DATE" property="withdrawalDate" />
        <result column="IS_WITHDRAWAL" property="isWithdrawal" />
        <result column="IS_RETRY" property="isRetry" />
    </resultMap>

</mapper>
